<?php

/**
 * PAYONE Magento 2 Connector is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PAYONE Magento 2 Connector is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with PAYONE Magento 2 Connector. If not, see <http://www.gnu.org/licenses/>.
 *
 * PHP version 5
 *
 * @category  Payone
 * @package   Payone_Magento2_Plugin
 * @author    FATCHIP GmbH <support@fatchip.de>
 * @copyright 2003 - 2017 Payone GmbH
 * @license   <http://www.gnu.org/licenses/> GNU Lesser General Public License
 * @link      http://www.payone.de
 */

namespace Payone\Core\Test\Unit;

use Magento\Framework\TestFramework\Unit\Helper\ObjectManager;
use Payone\Core\Model\Test\PayoneObjectManager;
use PHPUnit\Framework\TestCase;

class BaseTestCase extends TestCase
{
    /**
     * Return ObjectManager object based on the current Magento 2 version
     *
     * @return ObjectManager|PayoneObjectManager
     */
    public function getObjectManager()
    {
        // This is a version-switch -> class was added with Magento 2.2.0
        // Couldnt find a direct way to obtain the version using only the Unittest-Objectmanager
        if (class_exists('\Magento\Framework\Serialize\Serializer\Json') === false) {
            return new PayoneObjectManager($this);
        }
        return new ObjectManager($this);
    }
}
